/* Global Styles */
html {
    scroll-behavior: smooth;
}

body {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    line-height: 1.2;
    font-family: "Funnel Display", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
    color: #120321;
}

button {
    font-family: "Funnel Display", sans-serif;
}

p {
    margin: 0;
}

.main-paragraph {
    font-size: calc(16px + (24.0 - 16) * ((100vw - 1001px) / (2200 - 1001)));
    line-height: 1.5;
    margin: 0;
}

h1 {
    font-size: calc(40px + (60.0 - 40) * ((100vw - 1001px) / (2200 - 1001)));

    margin-top: 0;
}

.top-heading {
    font-size: calc(46px + (76.0 - 46) * ((100vw - 1001px) / (2200 - 1001)));

    margin-top: 0;
}

.header-element p,
.secondary-paragraph a,
a p,
button p,
.footer-bottom p {
    font-size: calc(14px + (20.0 - 14) * ((100vw - 1001px) / (2200 - 1001)));
}

.secondary-paragraph-top {
    font-size: calc(12px + (16.0 - 12) * ((100vw - 1001px) / (2200 - 1001)));
}

h2 {

    font-size: calc(24px + (44.0 - 24) * ((100vw - 1001px) / (2200 - 1001)));
    font-weight: 700;
}

h3 {

    font-size: calc(18px + (28.0 - 18) * ((100vw - 1001px) / (2200 - 1001)));
    font-weight: 700;
}

h4 {

    font-size: calc(18px + (24.0 - 18) * ((100vw - 1001px) / (2200 - 1001)));
    font-weight: 700;
}

h1,
h2 {
    font-weight: 600;
}

h3,
h4 {
    font-weight: 500;
}


strong {
    font-weight: 700;
}

b {
    font-weight: 800;
}



a {
    text-decoration: none;
    display: inline-block;
}

.color-text {
    color: #120321;
}

.color-text:hover {
    color: #120321;
}

.white-purple-arrow {
    fill: white;
    color: white;
}

.button {
    background-color: #4B006E;
    border-radius: 30px;


    padding: 5px;
    display: flex;

    align-items: center;
    justify-content: space-between;
    color: white;
    border: 1px solid #4B006E;
    box-shadow: 0 2px 5px rgba(128, 128, 128, 0.2),
        /* Bottom shadow */
        0 -2px 5px rgba(128, 128, 128, 0.2),
        /* Top shadow */
        2px 0 5px rgba(128, 128, 128, 0.2),
        /* Right shadow */
        -2px 0 5px rgba(128, 128, 128, 0.2);

}

/* header css desktop end */
/* header css desktop end */

.button p {
    padding-left: 15px;
    padding-right: 15px;
}

.button img,
button .white-purple-arrow {
    width: 20px;
    padding: 10px;
    padding-left: 7px;
    padding-right: 7px;
    border-radius: 50%;
    background-color: #ffffff3d;
}

.white-purple-arrow {
    padding: 8px !important;
    border-radius: 40px;
    padding-left: 7px !important;
    padding-right: 7px !important;
}


.button:hover {
    background-color: #F6E2FF;
    border: 1px solid white;
    color: #4B006E;
    transition: ease-in-out .3s;

}

.button:hover img {
    transition: ease-in-out .3s;

    background-color: #4B006E;
}

/* Header */
.header {
  position: sticky;
  top: 0;
  z-index: 10;

}

.header-top-banner {
  height: 20px;
  background-color: #DCEAFF;
}

.header-top-banner::before {
  content: "";
  display: block;
  height: 100vh;
  width: 20px;
  background: linear-gradient(to bottom, #DCEAFF, #DCEAFF, rgba(255, 255, 255, 0));
}

.header-top-banner::after {
  content: "";
  margin-top: -100vh;
  float: right;
  display: block;
  height: 100vh;
  width: 20px;
  background: linear-gradient(to bottom, #DCEAFF, #DCEAFF, rgba(255, 255, 255, 0));

  z-index: 4 !important;
}

.header-element {
  margin-left: 10px;

  display: flex;
  align-items: stretch;
  justify-content: space-between;
  z-index: 5 !important;
}



.logo {
  padding-left: 10px;
  padding-top: 10px;
  padding-right: 15px;
  display: flex;
  padding-bottom: 11px;
  background-color: #DCEAFF;
  border-end-end-radius: 30px;
}

.logo::after {
  content: "";
  width: 40px;
  height: 40px;
  display: block;
  background-color: rgba(255, 0, 0, 0);
  position: absolute;
  bottom: -40px;
  left: 20px;
  border-top-left-radius: 30px;
  box-shadow: -10px -15px 0 0 #DCEAFF;
}

.logins::after {
  content: "";
  width: 40px;
  height: 40px;
  display: block;
  background-color: rgba(255, 0, 0, 0);
  position: absolute;
  bottom: -40px;
  right: 20px;
  border-top-right-radius: 30px;
  box-shadow: 10px -15px 0 0 #DCEAFF;
}

.logo svg {
  width: clamp(120px, 15vw, 220px);
  min-width: 20px;
  max-width: 200px;
  height: 100%;
}

.logo-white-dark-part {
  fill: #120321;
}

.logo-purple-part {
  fill: #4B006E;
}

.header-kea-kea-how-work {
  display: flex;
  align-items: center;
}

.header-nav-kea-button {
  display: flex;
  align-items: center;
  width: max-content;
}

.header-nav-kea-button strong {
  margin-left: 10px;
  margin-right: 10px;
  color: #120321;
}

.links-div {
  display: flex;

  justify-content: space-between;
  align-items: center;
  width: 100%;
  padding: 10px;
  padding-bottom: 0;
  border-radius: 30px;
  box-shadow: -15px -25px 0 0 #DCEAFF,
    /* Shadow for the top-left */
    15px -25px 0 0 #DCEAFF;
  /* Shadow for the top-right */
}

.links {

  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: stretch;

}

.cross-kea {
  display: none;
}


.menu-items {
  width: 50%;
  display: flex;
  justify-content: space-between;
  padding: 5px;
  border-radius: 30px;
  min-width: 520px;
  background-color: #ffffffd5;
  backdrop-filter: blur(5px);
  align-items: center;
  /* justify-content: space-between; */
  box-shadow: 0 2px 5px rgba(128, 128, 128, 0.2),
    /* Bottom shadow */
    0 -2px 5px rgba(128, 128, 128, 0.2),
    /* Top shadow */
    2px 0 5px rgba(128, 128, 128, 0.2),
    /* Right shadow */
    -2px 0 5px rgba(128, 128, 128, 0.2);
  position: relative;
}


.menu-item {
  color: #120321;
}

.menu-item:hover {
  color: #B462A6;
  transition: ease-in-out .3s;

}



.hovered.menu-items {
  background: none;
  box-shadow: none;
  backdrop-filter: none;
}

.hovered .hamburger-cross-parent {
  opacity: 1;
  z-index: 5;
}

.clicked {
  padding: 20px;
}

.clicked .mega-item {
  display: block;
}

.mega-menu-control {
  cursor: pointer;
  z-index: 5;
}

.mega-menus {
  position: absolute;
  right: 0;
  top: 0;
  left: auto;
  width: 100%;
}

.mega-menu {
  background-color: white;
  backdrop-filter: blur(15px);
  position: absolute;
  right: 0;
  left: auto;
  top: 0px;
  width: auto;
  min-width: 92%;
  border-radius: 20px;
  display: grid;
  justify-content: end;
  grid-template-columns: repeat(3, max-content);
  gap: 20px;
  box-shadow: 0 2px 5px rgba(128, 128, 128, 0.2),
    /* Bottom shadow */
    0 -2px 5px rgba(128, 128, 128, 0.2),
    /* Top shadow */
    2px 0 5px rgba(128, 128, 128, 0.2),
    /* Right shadow */
    -2px 0 5px rgba(128, 128, 128, 0.2)
}


.mega-item {
  border-radius: 25px;
  margin-top: 40px;
  display: none;
  width: 15vw;
  min-width: 200px;
  min-height: 12vw;
  position: relative;
}

.menu-item-services,
.menu-item-parrot,
.menu-item-kea {
  background-color: rgb(255, 255, 255);
}

.mega-item:hover {
  background: linear-gradient(180deg, #F9EBFF 23.59%, #FFF 104.87%);
}

.menu-item-parrot:hover {
  background: linear-gradient(180deg, #FFF2D0 0%, #FFF 100%);
}

.menu-item-kea:hover {
  background: linear-gradient(180deg, #DCEAFF 0%, #FFF 115.21%);
}

.menu-item-services:hover {
  background: linear-gradient(180deg, #F9EBFF 23.59%, #FFF 104.87%);
}

.control-clicked {
  color: #B462A6;
}

.mega-item:hover .white-purple-arrow {
  background-color: #F6E2FF;
  fill: #4B006E;
  background-color: #F6E2FF;
  transition: linear 0.2s;
}

.mega-item:hover .button {
  background-color: #F6E2FF;
  fill: #4B006E;
  border: none;
  transition: linear 0.1s;
}


.mega-menu-card {
  padding: 0px 20px 20px 20px;
}

.mega-menu-border-asset {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
}

.mega-menu-border-asset {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
}

.icon-title {
  display: flex;
  align-items: center;
  gap: 10px;
  margin-top: -20px;
}

.mega-item .button-white-background {
  background-color: rgba(255, 255, 255, 0);
  position: absolute;
  right: 0;
  bottom: 0px;
}


.mega-item .white-purple-arrow {
  padding: 4px !important;
  padding-left: 3px !important;
  padding-right: 3px !important;
}







.demo-button {
  background-color: #4B006E;
  border-radius: 30px;
  padding: 5px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  color: white;
  border: 1px solid #4B006E;
  box-shadow: 0 2px 5px rgba(128, 128, 128, 0.2),
    /* Bottom shadow */
    0 -2px 5px rgba(128, 128, 128, 0.2),
    /* Top shadow */
    2px 0 5px rgba(128, 128, 128, 0.2),
    /* Right shadow */
    -2px 0 5px rgba(128, 128, 128, 0.2);

}

.demo-button p {

  padding-left: 10px;
  padding-right: 10px;

}

.demo-button img {
  padding: 8px;
  padding-left: 6px;
  padding-right: 6px;
  border-radius: 50%;
  background-color: #ffffff3d;
}

.demo-button:hover {
  background-color: #F6E2FF;
  border: 1px solid white;
  color: #4B006E;
  transition: ease-in-out .3s;

}

.demo-button:hover img {
  transition: ease-in-out .3s;

  background-color: #4B006E;
}

.logins {

  display: flex;
  align-items: center;
  padding-left: 13px;
  padding-right: 10px;
  padding-bottom: 10px;
  background-color: #DCEAFF;
  border-bottom-left-radius: 30px;
}

.kia-login,
.parrot-login {
  width: 4.5vw;
  min-width: 80px;
  color: #120321;
  margin-right: 20px;
  border-radius: 30px;
  padding: 5px;
  display: flex;
  align-items: center;
  justify-content: space-evenly;

  padding-left: 10px;
  padding-right: 10px;
  box-shadow: 0 2px 5px rgba(128, 128, 128, 0.2),
    /* Bottom shadow */
    0 -2px 5px rgba(128, 128, 128, 0.2),
    /* Top shadow */
    2px 0 5px rgba(128, 128, 128, 0.2),
    /* Right shadow */
    -2px 0 5px rgba(128, 128, 128, 0.2);

}



.parrot-login {
  background: linear-gradient(to bottom, #FFF2D0, #ffff);

}

.parrot-login:hover {
  background: linear-gradient(to bottom, #120321, #120321);
  transition: ease-in-out .3s;


}

.parrot-login:hover {
  color: white;
  transition: ease-in-out .3s;


}

.kia-login {
  background: linear-gradient(to bottom, #DCEAFF, #ffff);
}

.kia-login:hover {
  transition: ease-in-out .3s;

  background: linear-gradient(to bottom, #120321, #120321);

}

.kia-login:hover {
  color: white;
  transition: ease-in-out .3s;

}

.kia-login p,
.parrot-login p {

  padding-left: 5px;

}

.light-button {
  width: 7vw;
  min-width: 130px;
  margin-left: 5px;
  display: flex;
  align-items: center;
  cursor: pointer;
}

.light-button:hover .dark-light-icon {
  transform: rotate(180deg);
  transition: linear 0.3s;

}

.dark-light-icon {
  fill: #3B485D;
  transition: linear 0.3s;
}

.light-button p {
  color: #3B485D;
  margin-right: 10px;
}


.hamburger-cross-button {
  background-color: #4B006E;
  border-radius: 30px;


  padding: 4.5px;


  align-items: center;
  justify-content: space-between;
  color: white;
  border: 1px solid #4B006E;
  box-shadow: 0 2px 5px rgba(128, 128, 128, 0.2),
    /* Bottom shadow */
    0 -2px 5px rgba(128, 128, 128, 0.2),
    /* Top shadow */
    2px 0 5px rgba(128, 128, 128, 0.2),
    /* Right shadow */
    -2px 0 5px rgba(128, 128, 128, 0.2);

}

.header-contact-button,
.kea-hambur {
  display: none;
}



.hamburger-button {
  background-color: white;
  border-radius: 30px;

  margin-right: 12px;

  padding: 12px;
  display: flex;

  align-items: center;
  justify-content: space-between;
  color: white;

  box-shadow: 0 2px 5px rgba(128, 128, 128, 0.2),
    /* Bottom shadow */
    0 -2px 5px rgba(128, 128, 128, 0.2),
    /* Top shadow */
    2px 0 5px rgba(128, 128, 128, 0.2),
    /* Right shadow */
    -2px 0 5px rgba(128, 128, 128, 0.2);
}

.hamburger-button-kea {
  background-color: white;
  border-radius: 30px;

  margin-right: 15px;

  padding: 12px;
  display: flex;

  align-items: center;
  justify-content: space-between;
  color: white;

  box-shadow: 0 2px 5px rgba(128, 128, 128, 0.2),
    /* Bottom shadow */
    0 -2px 5px rgba(128, 128, 128, 0.2),
    /* Top shadow */
    2px 0 5px rgba(128, 128, 128, 0.2),
    /* Right shadow */
    -2px 0 5px rgba(128, 128, 128, 0.2);
}

.kea-demo-hamburger-normal-navbar {
  display: flex;
  justify-content: end;
  align-items: stretch;
}

.kea-navbar {
  display: none;
}

.kea-use-case-navbar {
  min-width: 680px;
  width: max-content !important;
  padding: 5px;
  gap: 20px;
  padding-left: 15px;
  padding-right: 15px;
}

.header-kea-hambur-links{
  display: flex;
}
.hamburger-parent{
    display: flex;
    align-items: center;
}

.hamburger-parent.hidden,
.kea-use-case-navbar.hidden,
.header-demo-button.hidden {
  display: none;
}

.hamburger-parent.hidden,
.kea-use-case-navbar.hidden,
.header-demo-button.hidden {
  display: none;
}

.kea-demo-hamburger-normal-navbar.full-width {
  width: 100%;
}


.kea-navbar.active {
  display: flex;
  width: 50%;
  justify-content: space-between;
  padding-left: 10px;
}

.hamburger-cross-parent.active {
  display: block;
  z-index: 5;
}

.hamburger-cross-button {
  display: flex;
  justify-content: center;
  align-items: center;
}

.full-width .hamburger-parent {
  display: none;
}



/* header css desktop end */
/* header css desktop end */

/* first section */
/* first section */
.first-section {
    padding: 80px;
    display: grid;
    grid-template-columns: 1.2fr 0.8fr;
    gap: 80px;
    align-items: end;
}

.first-section h1 {
    margin: 0;
}

/* first section */
/* first section */

/* card section */
/* card section */
.card-section {
    padding: 80px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 60px;
}

/* card design */
.card {
    background-color: #DCEAFF;
    border-radius: 30px;
}

.card-texts {
    background: linear-gradient(180deg, #DCEAFF 0%, #FFF 115.21%);
    border-radius: 30px;
}

.card:hover {
    box-shadow: 1px 1px 15px #12032157;
}

.card:hover .card-texts {
    background: linear-gradient(180deg, #DCEAFF 0%, #DCEAFF 115.21%);
}

.card-img {
    width: 100%;
    border-radius: 30px;
}

.card-texts {
    position: relative;
    padding: 20px 40px 40px 40px;
}

.card-texts h2 {
    transform: translateY(20px);
    transition: linear 0.3s;
}

.appear-on-hover-text {
    opacity: 0;
    transition: linear 0.2s;
}

.card:hover .appear-on-hover-text {
    opacity: 1;
}

.card:hover .disappear-hover-text {
    opacity: 0;
}

.card:hover .card-texts h2 {
    transform: translateY(0);
}

.card-texts .disappear-hover-text {
    position: absolute;
    top: 30%;
    opacity: 1;
    left: 40px;
    width: calc(100% - 80px);
    transition: linear 0.3s;
}

.card-texts h2 {
    margin: 0;
}

.card-texts h3 {
    color: #4B006E;
}

.appear-on-hover-text h3 {
    margin-bottom: 20px;
}

.card-horizontal-line {
    height: 1px;
    width: 100%;
    background-color: #120321;
    margin-bottom: 10px;
}

.card-texts .card-button {
    margin-top: 40px;
}

/* card design */

/* card section */
/* card section */

/* Footer start */
/* Footer start */
.footer {
    background: linear-gradient(to bottom right, #4B006E, #F6E2FF);
    color: white;

}

.footer-about-contact p {
    margin-bottom: 20px;
}

.footer-top {
    padding: 80px;
}

.footer-about-contact-subscribe {
    display: grid;
    grid-template-columns: 1fr 1.2fr;
    align-items: baseline;
    gap: 120px;
}

.social-icon {
    display: flex;
    align-items: flex-end;
}

.social-icon img {
    margin-right: 40px;
}

.footer-subscribe h2 {
    margin-top: 0;
}

.subscribe-input {
    width: 100%;
    background-color: white;
    display: flex;
    justify-content: space-between;
    border-radius: 50px;
}

.subscribe-input input {
    font-family: "Funnel Display", sans-serif;
    width: 70%;
    background-color: white;
    padding: 20px;
    border: none;
    border-radius: 50px;
}

input:focus {
    border: none;
    outline: none;
}

.subscribe-input button {
    color: white;
    background-color: #4B006E;
    padding: 20px 40px 20px 40px;
    border: none;
    border-radius: 50px;
}

.address-quick-links-footer {
    display: grid;
    margin-top: 60px;
    grid-template-columns: 1fr 1fr 60px 1fr 1fr 1fr 1fr;
    justify-content: space-between;
    gap: 20px;
}


.address-quick-links-footer-footer {
    display: block;

    grid-template-columns: 30% 70%;
    justify-content: space-between;
    gap: 20px;
}

.contact-social p,
.contact-social div {
    margin-bottom: 20px;
}

.quick-links {
    display: grid;
    margin-top: 60px;
    grid-template-columns: 2fr 60px 1fr 1fr 1fr 1fr;
    gap: 20px;
}

.footer-address {
    margin-top: 60px;
}

.addresses-top {
    display: none;
}

.addresses {

    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 40px;
}

.address h3,
.address p {
    margin-top: 0px;
    margin-bottom: 10px;
}

.line {
    height: 60%;
    width: 2px;
    background-color: white;
    margin-left: auto;
    margin-right: auto;
}


.footer-bottom {
    background-color: #4B006E;
    padding-left: 80px;
    padding-right: 80px;
    padding-top: 30px;
    padding-bottom: 30px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.bottom-links {
    color: white !important;
    display: block;
}

.footer-copyright-terms-divider {
    margin-right: 5px;
    margin-left: 5px;
}

.footer-bottom p {
    display: flex;
    align-items: center;
}

.footer-bottom a {
    margin-left: 10px;
}

.line-break {
    display: none;

}

.copyright-terms {
    display: flex;
}

.terms-condition {
    margin: 5px 0 5px 0;
}


.grapdes-link {
    margin-left: 6px !important;
    font-family: "Questrial", sans-serif;
}

/*  */
/*  */
.bottom-sticky-contact-button {
    position: fixed;
    bottom: 10px;
    right: 10px;
    z-index: 200;

}

/* footer end */
/* footer end */


/* media query */
/* media query */

@media only screen and (max-width: 1600px) {
    .header-top-banner {
        height: 15px;
    }

    .header-top-banner::before {
        width: 15px;
    }

    .header-top-banner::after {
        width: 15px;
    }

    .logo::after {
        left: 15px;
    }

    .logins::after {
        right: 15px;
    }


    .kia-login,
    .parrot-login,
    .light-button {
        width: auto;
        min-width: 0;
    }

    .kia-login,
    .parrot-login {
        margin-right: clamp(12px, 1vw, 20px);
    }

    .kia-login p,
    .parrot-login p,
    .light-button p {
        display: none !important;
    }


}


@media only screen and (max-width: 1350px) {


    .kea-use-case-navbar {
        display: none;
    }

    .kea-hambur .header-contact-button {
        display: block;
    }

    .kea-hambur {
        background-color: white;
        border-radius: 30px;

        margin-right: 15px;

        padding: 12px;
        padding-top: 8px;
        padding-bottom: 8px;
        margin-bottom: 0;
        display: flex;

        align-items: center;
        justify-content: space-between;
        box-shadow: 0 2px 5px rgba(128, 128, 128, 0.2),
            /* Bottom shadow */
            0 -2px 5px rgba(128, 128, 128, 0.2),
            /* Top shadow */
            2px 0 5px rgba(128, 128, 128, 0.2),
            /* Right shadow */
            -2px 0 5px rgba(128, 128, 128, 0.2);
    }

    .hamburger-button-kea {
        padding: 0px;
        margin-left: 10px;
        margin-right: 0;
        justify-content: end;
    }

    .kea-demo-hamburger-normal-navbar.hidden {
        display: none;
    }

    .kea-use-case-navbar.active {
        display: flex;
        padding-right: 5px;
    }

    .cross-kea {
        display: block;
    }


}


@media only screen and (max-width: 1080px) {


    .top-heading {
        font-size: calc(34px + (48.0 - 34) * ((100vw - 751px) / (1080 - 751)));

    }

    h1 {
        font-size: calc(30px + (42.0 - 30) * ((100vw - 751px) / (1080 - 751)));
    }

    .main-paragraph {
        font-size: calc(16px + (20.0 - 16) * ((100vw - 751px) / (1080 - 751)));
        line-height: 1.5;
        margin: 0;
    }

    .secondary-paragraph-top {
        font-size: calc(12px + (14.0 - 12) * ((100vw - 751px) / (1080 - 751)));
    }


    h2 {

        font-size: calc(22px + (32.0 - 22) * ((100vw - 751px) / (1080 - 751)));
        font-weight: 700;
    }

    h3 {

        font-size: calc(20px + (24.0 - 20) * ((100vw - 751px) / (1080 - 751)));
        font-weight: 700;
    }

    .header-element p,
    .secondary-paragraph a,
    a p,
    button p,
    .footer-bottom p {
        font-size: calc(14px + (18.0 - 14) * ((100vw - 751px) / (1080 - 751)));
    }

    /* header */
    /* header */

    .hamburger-cross-parent,
  .card-close-button1 {
    width: fit-content;
  }

  .hamburger-cross-parent,
  .card-close-button2 {
    width: fit-content;
  }

  .hamburger-cross-parent {
    display: flex;
  }

  .hamburger-cross-button {
    background-color: #4B006E;
    border-radius: 30px;
    width: fit-content;

    padding: 3px;
    display: flex;

    align-items: center;
    justify-content: space-between;
    color: white;
    border: 1px solid #4B006E;
    box-shadow: 0 2px 5px rgba(128, 128, 128, 0.2),
      /* Bottom shadow */
      0 -2px 5px rgba(128, 128, 128, 0.2),
      /* Top shadow */
      2px 0 5px rgba(128, 128, 128, 0.2),
      /* Right shadow */
      -2px 0 5px rgba(128, 128, 128, 0.2);

  }

  .menu-items {
    width: 100%;
    display: none;
  }

  .mega-menu {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 0px 30px;
  }

  .mega-item {
    width: auto;
    min-height: 23vw;
    min-width: 100px;
  }


  .hovered .hamburger-cross-parent {
    opacity: 1;
    z-index: 5;
  }

  .control-clicked {
    color: #120321;
  }

  .hamburger-parent {
    display: flex;
    margin-right: 10px;
    align-items: stretch;
  }

  .menu-items.active {
    display: flex;
    /* Show menu items when active */
  }

  .kea-use-case-navbar.active {
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw !important;
    height: 100vh;
    padding-top: 80px;
    padding-left: 80px;
    border-radius: 0;
    z-index: 1;
    min-width: auto;
    max-width: none;
  }

  .kea-use-case-navbar.active a {
    display: block;
    margin-top: 15px;
  }

  .kea-use-case-navbar.active strong,
  .kea-use-case-navbar.active p {
    font-size: 24px;
  }

  .kea-use-case-navbar.active .hamburger-cross-button img {
    width: 25px;
  }

  .header-kea-kea-how-work {
    align-items: center;
  }

  .kea-use-case-navbar.active .hamburger-cross-parent {
    position: fixed;
    z-index: 5;
    top: 30px;
    left: 82vw;
  }

  .mega-item .button {
    padding: 3px;
    padding-left: 2px;
    padding-right: 2px;
  }

  .header-demo-button.hidden {
    display: none;
  }

  .hamburger-parent.hidden {
    display: none;
    /* Hide hamburger button when menu is active */
  }

  .mega-item .white-purple-arrow {
    width: 16px;
  }

  .logo {
    padding: 0;
    padding-right: 10px;
    padding-bottom: 5px;

    border-end-end-radius: 25px
  }

  .logins {
    border-bottom-left-radius: 25px;
    padding-left: 10px;
    padding-bottom: 5px;
  }

  .logo svg {
    width: 17vw;
    min-width: 160px;
    max-width: 200px;
  }

  .logo a {
    display: flex;
  }

  .logo::after {
    left: 10px;
  }

  .logins::after {
    right: 12px;
  }

  .links-div {
    padding: 8px;
    padding-bottom: 0;
  }

  .kia-login,
  .parrot-login {
    margin-right: clamp(5px, 1vw, 10px);
  }

  .menu-items {
    min-width: 400px !important;
    padding-top: 5px;
    padding-bottom: 5px;
    padding-left: 10px;
    padding-right: 5px;
    justify-content: space-between;

  }

  .kea-navbar.active {
    width: 100%;
  }

  .hamburger-contact-button {
    background-color: white;
    border-radius: 30px;

    padding: 12px;
    padding-top: 0px;
    padding-bottom: 0px;
    margin-bottom: 0;
    display: flex;

    align-items: center;
    justify-content: space-between;
    box-shadow: 0 2px 5px rgba(128, 128, 128, 0.2),
      /* Bottom shadow */
      0 -2px 5px rgba(128, 128, 128, 0.2),
      /* Top shadow */
      2px 0 5px rgba(128, 128, 128, 0.2),
      /* Right shadow */
      -2px 0 5px rgba(128, 128, 128, 0.2);
  }


  .kea-hambur {
    background-color: white;
    border-radius: 30px;

    margin-right: 15px;

    padding: 12px;
    padding-top: 4px;
    padding-bottom: 4px;
    margin-bottom: 0;
    display: flex;

    align-items: center;
    justify-content: space-between;
    box-shadow: 0 2px 5px rgba(128, 128, 128, 0.2),
      /* Bottom shadow */
      0 -2px 5px rgba(128, 128, 128, 0.2),
      /* Top shadow */
      2px 0 5px rgba(128, 128, 128, 0.2),
      /* Right shadow */
      -2px 0 5px rgba(128, 128, 128, 0.2);
  }

  .header-contact-button {
    display: flex;
    align-items: center;
    justify-content: start;
    margin-right: 10px;
  }


  .header-nav-kea-button .main-paragraph {
    font-size: 19px;
  }

  .kea-use-case-navbar.active {
    width: 100%;
  }



  .hamburger-button {
    padding: 0px;
    margin-left: 10px;
    margin-right: 0;
    justify-content: end;
  }

  .hamburger-button-kea {
    padding: 0px;
    margin-left: 10px;
    margin-right: 0;
    justify-content: end;
  }

  .kia-login img,
  .parrot-login img {
    width: 20px;
  }

  .header-top-banner::before {
    width: 10px;
  }

  .header-top-banner::after {
    width: 12px;
  }

  .kea-use-case-navbar.active .hamburger-cross-parent{
    left: 92vw;
  }

  .hamburger-cross-button img {
    width: 18px;
  }

  .demo-button img {
    width: 14px;
    padding: 5px;
    padding-top: 7px;
    padding-bottom: 7px;
  }

  .demo-button {

    padding: 4px;

  }

  .demo-button p {
    padding-left: 7px;
    padding-right: 7px;
  }

  .hamburger-button img {
    width: 16px;
  }

  .hamburger-button-kea img {
    width: 16px;
  }

  .button img,
  button .white-purple-arrow {
    width: 16px;
    padding: 8px;
    padding-left: 6px;
    padding-right: 6px;
    border-radius: 50%;
    background-color: #ffffff3d;
  }

  .white-purple-arrow {
    padding: 5px !important;
    padding-left: 6px !important;
    padding-right: 6px !important;
  }

  .button {
    padding: 4px;
  }

  .button p {
    padding-left: 7px;
    padding-right: 7px;
  }

    /* header */
    /* header */

    /* body section */
    /* body section */
    .first-section {
        padding: 40px;
        grid-template-columns: 1fr;
        gap: 40px;
    }

    .card-section {
        padding: 40px;
        gap: 40px;
    }

    .card-texts {
        padding: 20px;
    }

    .card-texts .disappear-hover-text {
        width: calc(100% - 40px);
        left: 20px;
    }

    /* body section */
    /* body section */



    /* footer */
    /* footer */
    .footer-top {
        padding: 40px;
    }

    .footer-about-contact-subscribe {
        gap: 60px;
    }

    .addresses-top {
        display: block;
    }

    .addresses,
    .line {
        display: none;
    }

    .footer-address {
        display: grid;
        grid-template-columns: auto max-content;
        gap: 60px;
        margin-top: 30px;

    }

    .addresses-top {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        gap: 40px;
    }

    .quick-links {
        grid-template-columns: repeat(4, 1fr);
        margin-top: 0;
        gap: 10px;
    }

    .footer-vertical-line {
        width: 100%;
        height: 2px;
        background-color: white;
        margin-top: 40px;
        margin-bottom: 40px;
    }

    .subscribe-input input {
        padding: 15px;
    }


    .subscribe-input button {
        padding: 15px 30px 15px 30px;
    }

    .footer-bottom {
        padding: 20px 40px 20px 40px;
    }

    .bottom-sticky-contact-button {

        bottom: 40px;
    }

    .footer-top,
    .address-quick-links-footer-footer {
        display: block;
        flex-direction: column;
        gap: 0;
    }

    /* footer */
    /* footer */

}

/* mobile design code */
@media only screen and (max-width: 750px) {

    h1 {
        font-size: calc(26px + (36.0 - 26) * ((100vw - 340px) / (750 - 340)));
    }

    .top-heading {
        font-size: calc(32px + (46.0 - 32) * ((100vw - 340px) / (750 - 340)));

        margin-top: 0;
        width: 100%;
    }


    h2 {

        font-size: calc(20px + (28.0 - 20) * ((100vw - 340px) / (750 - 340)));
        font-weight: 700;
    }

    h3 {

        font-size: calc(18px + (24.0 - 18) * ((100vw - 340px) / (750 - 340)));
        font-weight: 700;
    }

    h4 {

        font-size: calc(18px + (20.0 - 18) * ((100vw - 340px) / (750 - 340)));
        font-weight: 700;
    }

    .main-paragraph {
        font-size: calc(16px + (18.0 - 16) * ((100vw - 340px) / (750 - 340)));
        line-height: 1.5;
        margin: 0;
    }


    .header-element p,
    .secondary-paragraph a,
    a p,
    button p,
    .footer-bottom p {
        font-size: calc(14px + (16.0 - 14) * ((100vw - 340px) / (750 - 340)));
    }

    /* header part */
    /* header part */

    .logo svg {
    width: 12vw;
    min-width: 110px;
  }


  .kia-login,
  .parrot-login {
    display: none;
  }

  .menu-items.active {
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    padding-top: 65px;
    padding-left: 40px;
    border-radius: 0;
    z-index: 1;
    min-width: auto;
    max-width: none;
  }

  .logins.active .kia-login {
    display: flex;
    position: absolute;
    left: 40px;
    top: 363px;
    z-index: 1;
  }

  .logins.active .kia-login p {
    display: flex !important;
    font-size: calc(16px + (18.0 - 16) * ((100vw - 340px) / (750 - 340)));
  }

  .logins.active .parrot-login {
    display: flex;
    position: absolute;
    left: 40px;
    top: 417px;
    z-index: 1;
  }

  .logins.active .parrot-login p {
    display: block !important;
    font-size: calc(16px + (18.0 - 16) * ((100vw - 340px) / (750 - 340)));
  }

  .menu-items a,
  .menu-items p {
    display: block;
    margin-top: 15px;
  }
  .menu-items .header-nav-kea-button img {
    margin-top: 20px;
    margin-right: 5px;
  }

  .menu-item {
    font-size: 24px !important;
  }

  .mega-menu-card p,
  .mega-item a {
    margin-top: 0;
  }

  .menu-items.active .hamburger-cross-parent {
    position: fixed;
    z-index: 5;
    top: 30px;
    left: 82vw;
  }

  .mega-item {
    margin-top: 20px;
    padding-top: 20px;
    min-width: 220px;
    width: 25vw;
    height: auto;
    min-height: 150px;
  }

  .hovered .hamburger-cross-parent {
    opacity: 1;
  }

  .hamburger-parent.hidden,
  .header-demo-button.hidden {
    display: flex;
  }
  .header-demo-button.hidden {
    position: absolute;
    z-index: 2;
    top: 306px;
    left: 40px;
    display: flex;
  }
  .header-demo-button.hidden.deActive {
    position: relative;
    z-index: 0;
  }

  .hamburger-contact-button {
    padding-right: 3px;
    padding-left: 10px;
    padding-top: 0;
    padding-bottom: 0;
  }

  .header-nav-kea-button strong {
    display: none;
  }

  .hamburger-parent,
  .header-contact-button {
    margin: 0;
  }

  .header-demo-button {
    display: none;
  }

  .hamburger-button {
    box-shadow: none;
    padding: 9px;

  }

  .hamburger-button img {
    width: 16px;
  }

  .menu-items .hamburger-cross-button {
    padding: 5px;
  }

  .menu-items .hamburger-cross-button img {
    width: 25px;
  }

  .logins {
    padding-right: 10px;
    border-bottom-left-radius: 17px;
  }

  .logo::after {
    border-top-left-radius: 20px;
  }

  .logins::after {
    width: 28px;
    bottom: -37px;
    border-top-right-radius: 20px;
    box-shadow: 25px -10px 0 0 #F6E2FF;
  }

  .mega-menus {
    width: 100%;
  }

  .mega-menu {
    display: flex;
    flex-direction: column;
    position: relative;
    justify-content: flex-start;
    width: 100%;
    border-radius: 0;
    background-color: white;
  }

  .mega-menu.clicked {
    height: 100vh;
    padding: 30px;
    padding-top: 20px;
    display: flex;
    /* align-items: center; */
  }


    /* header part */
    /* header part */

    /* body section */
    /* body section */
.card-section{
    grid-template-columns: 1fr;
}
    /* body section */
    /* body section */

    /*mobile footer */
    /*mobile footer */

    .footer-about-contact-subscribe,
    .footer-address {
        display: block;
    }

    .addresses-top {
        display: flex;
        flex-direction: column;
        gap: 20px;
    }


    .quick-links {
        grid-template-columns: repeat(2, 1fr);
        gap: 20px;
    }

    .footer-top {
        padding-top: 60px;
    }

    .footer-bottom {
        display: block;
        padding: 40px;
        padding-top: 30px;
    }

    .footer-copyright-terms-divider {
        display: none;
    }

    .copyright-terms {
        display: block;
    }

    .line-break {
        display: block;
    }

    .terms-condition {
        margin: 15px 0 15px 0;
    }

    .footer-top,
    .address-quick-links-footer-footer {
        display: flex;
        flex-direction: column-reverse;
        gap: 0;
    }

    .footer-about-contact p {
        margin-bottom: 40px;
    }

    .contact-social,
    .contact-social {
        margin-top: 40px;
    }

    .contact-social div {
        margin-bottom: 0;
    }

    .bottom-sticky-contact-button {
        bottom: 10px;
    }


    /*mobile footer */
    /*mobile footer */

}



/* dark mode code */
/* dark mode code */
.card-dark-asset,
.menu-item-services {
    display: none;
}

.dark-mode.body-tag {
    background-color: #120321;
    color: white;
}

.dark-mode .color-text {
    color: white;
}

.dark-mode .logo-white-dark-part {
    fill: white;
}

.dark-mode .logo-purple-part {
    fill: #F1D1FF;
}

.dark-mode .header-top-banner,
.dark-mode .logo,
.dark-mode .logins,
.dark-mode .header-top-banner-after {
    background-color: #4E6C9C;
}

.dark-mode .header-top-banner::before,
.dark-mode .header-top-banner::after {
    background: linear-gradient(180deg, #4E6C9C 24.67%, #120321 88.1%);
}

.dark-mode .links-div {
    box-shadow: -15px -25px 0 0 #4E6C9C, 15px -25px 0 0 #4E6C9C;
}

.dark-mode .logo::after {
    box-shadow: -10px -15px 0 0 #4E6C9C;
}

.dark-mode .logins::after {
    box-shadow: 10px -7px 0 0 #4E6C9C;
}

.dark-mode .header-kea-kea-how-work .header-nav-kea-button strong{
  color: white;
}

.dark-mode .demo-button {
    background-color: #F6E2FF;
    color: #4B006E;
    border: 1px solid #F6E2FF;
}

.dark-mode .demo-button img {
    background-color: #4B006E;
}

.dark-mode .demo-button:hover {
    background-color: #4B006E;
    color: #F6E2FF;
    border: 1px solid #4B006E;
}

.dark-mode .demo-button:hover img {
    background-color: #ffffff3d;
}

.dark-mode .menu-items {
    background-color: #120321d0;
    backdrop-filter: blur(10px);
    box-shadow: 0 2px 5px #f6e2ff2a,
        /* Bottom shadow */
        0 -2px 5px #f6e2ff2a,
        /* Top shadow */
        2px 0 5px #f6e2ff2a,
        /* Right shadow */
        -2px 0 5px #f6e2ff2a;
}

.dark-mode .menu-items .menu-item {
    color: white;
}

.dark-mode .hovered.menu-items {
    background: none;
    box-shadow: none;
    backdrop-filter: none;
}

.dark-mode .menu-item-parrot {
    background-color: #120321;
    color: white;
}

.dark-mode .mega-item:hover {
  background: linear-gradient(180deg, #4B006E 23.59%, #120321 104.87%);
}

.dark-mode .menu-item-parrot:hover {
  background: linear-gradient(180deg, #967B34 0%, #120321 100%);
  color: white;
}

.dark-mode .menu-item-kea {
    background-color: #120321;
    color: white;
}

.dark-mode .menu-item-kea:hover {
    background: linear-gradient(180deg, #4E6C9C 0%, #120321 115.21%);
    color: white;
}


.dark-mode .menu-item:hover {
    color: #F1D1FF;
}

.dark-mode .mega-menu {
    background-color: #120321e3;
}


.dark-mode .mega-item:hover .white-purple-arrow {
    fill: #f6e2ff;
    background-color: #4B006E;
}

.dark-mode .button {
    background-color: #F1D1FF;
    border: 1px solid #F1D1FF;
}

.dark-mode .white-purple-arrow {
    fill: #4B006E;
}

.dark-mode .button:hover .white-purple-arrow {
    fill: white;
}

.dark-mode .mega-item:hover .button {
    background-color: #4B006E;
    border: 1px solid #4B006E;
}

.dark-mode .kia-login {
    background: linear-gradient(to bottom, #DCEAFF, #ffff);
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.20);
    color: #120321;
}

.dark-mode .kia-login:hover {
    background: linear-gradient(180deg, black 0%, #120321 115.21%);
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.20);
    color: white;
}

.dark-mode .parrot-login {
    background: linear-gradient(to bottom, #FFF2D0, #ffff);
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.25);
    color: #120321;
}

.dark-mode .parrot-login:hover {
    background: linear-gradient(180deg, black 0%, #120321 115.21%);
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.20);
    color: white;
}

.dark-mode-text {
    display: none;
}

.dark-mode .dark-light-icon {
    fill: #DCEAFF;
    transform: rotate(180deg);
    transition: linear 0.3s;
}

.dark-mode .dark-mode-text {
    display: block;
    color: #DCEAFF;
}

.dark-mode .light-button:hover .dark-light-icon {
    transform: rotate(0deg);
    transition: linear 0.3s;
}

.dark-mode .light-mode-text {
    display: none;
}

.card-dark-asset {
    display: none;
}

.dark-mode .card-light-asset {
    display: none;
}

.dark-mode .card-dark-asset {
    display: block;
}

.dark-mode .button p {
    color: #4B006E;
}

.dark-mode .button img {
    background-color: #4B006E;
}

.dark-mode .button:hover {
    background-color: #4B006E;
    border: 1px solid #4B006E;
}

.dark-mode .button:hover p {
    color: white;
}

.dark-mode .button:hover img {
    background-color: #ffffff3d;
}

.dark-mode .mega-item .button-white-background {
    background-color: #12032100;
    box-shadow: none;
}

.dark-mode .button-white-background {
    background-color: #120321;
    box-shadow: none;
}


/* dark mode body */
/* dark mode body */
.dark-mode .card {
    background-color: #4E6C9C;
}

.dark-mode .card-texts {
    background: linear-gradient(180deg, #4E6C9C 0%, #120321 115.21%);
}

.dark-mode .card:hover {
    box-shadow: 1px 1px 15px #f1d1ff50;
}

.dark-mode .card:hover .card-texts {
    background: linear-gradient(180deg, #4E6C9C 0%, #4E6C9C 115.21%);
}

.dark-mode .card h3 {
    color: #F1D1FF;
}

.dark-mode .card .card-horizontal-line {
    background-color: white;
}

/* dark mode body */
/* dark mode body */

/* dark mode tablet code */
/* dark mode tablet code */
@media only screen and (max-width: 1080px) {

    .dark-mode .navigation-buttons button div svg {
        background-color: #F1D1FF;
    }

    .dark-mode .navigation-buttons button:hover div .white-purple-arrow {
        background-color: #4B006E;
        fill: #F1D1FF !important;
    }

}

/* dark mode tablet code */
/* dark mode tablet code */


/* dark mode mobile code */
/* dark mode mobile code */
@media only screen and (max-width: 750px) {

    /* there are no change in mobile device */

}

/* dark mode mobile code */
/* dark mode mobile code */

/* dark mode code */
/* dark mode code */


/* temporary code */
/* temporary code */
.quick-links {
    grid-template-columns: max-content 1fr 1fr 1fr 1fr 1fr;
}

.addresses {
    display: flex;
    gap: 20px;
    flex-direction: column;
}

.address .main-paragraph {
    display: none;
}

.menu-item-services {
    display: none !important;
}

.logins::after {
    box-shadow: 10px -7px 0 0 #DCEAFF;
}

.hamburger-button {
    margin-left: 0;
}

.address:nth-child(6) .bottom-links:nth-child(3) {
    display: none;
}

.address:nth-child(6) .bottom-links:nth-child(4) {
    display: none;
}

.address:nth-child(6) .bottom-links:nth-child(5) {
    display: none;
}

.address:nth-child(6) .bottom-links:nth-child(6) {
    display: none;
}

.menu-items {
    width: 50%;
}

@media only screen and (max-width: 1080px) {
    .quick-links-parent .quick-links {
        grid-template-columns: 1fr 1fr 1fr 1fr !important;
    }

    .addresses-top {
        grid-template-columns: 1fr;
        gap: 20px;
    }

    .footer-address {
        grid-template-columns: 1fr 1fr;
    }

    .addresses {
        display: none;
    }
}

@media only screen and (max-width: 750px) {
    .logins {
        padding: 6px;
    }

    .quick-links-parent .quick-links {
        grid-template-columns: repeat(2, 1fr) !important;
    }

    .addresses-top {
        gap: 10px;
    }

}

/* temporary code */
/* temporary code */